@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pll.h File Reference
`#include "pico.h"`
`#include "hardware/structs/pll.h"`
Include dependency graph for pll.h:

Go to the source code of this file.

## Macros

#define | pll_sys pll_sys_hw
#define | pll_usb pll_usb_hw
#define | PICO_PLL_VCO_MIN_FREQ_HZ (750 * MHZ)
#define | PICO_PLL_VCO_MAX_FREQ_HZ (1600 * MHZ)
#define | PLL_RESET_NUM(pll)
| Returns the reset_num_t used to reset a given PLL instance.

## Typedefs

typedef pll_hw_t * | PLL

## Functions

void | pll_init (PLL pll, uint ref_div, uint vco_freq, uint post_div1, uint post_div2)
| Initialise specified PLL.
void | pll_deinit (PLL pll)
| Release/uninitialise specified PLL.